Bug 1438552 - release --list with proxy throws AttributeError: 'ContentConnection' object has no attribute 'proxy_host'
Summary: release --list with proxy throws AttributeError: 'ContentConnection' object h...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager
Version: 7.4
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: rc
: ---
Assignee: Chris Snyder
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-03 18:20 UTC by John Sefler
Modified: 2017-08-01 19:22 UTC (History)
4 users (show)

Fixed In Version: subscription-manager-1.19.6-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 19:22:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github candlepin subscription-manager pull 1574 None None None 2017-04-06 13:46:56 UTC
Red Hat Product Errata RHBA-2017:2083 normal SHIPPED_LIVE python-rhsm and subscription-manager bug fix and enhancement update 2017-08-01 18:14:19 UTC

Description John Sefler 2017-04-03 18:20:09 UTC
Description of problem:
With a RHEL entitlement attached, a call to subscription-manager release --list throws the following exception when a valid proxy server is supplied.

2017-04-03 14:17:01,062 [DEBUG] subscription-manager:11225:MainThread @https.py:54 - Using standard libs to provide httplib and ssl
2017-04-03 14:17:01,138 [DEBUG] subscription-manager:11225:MainThread @dbus_interface.py:35 - self.has_main_loop=False
2017-04-03 14:17:01,181 [DEBUG] subscription-manager:11225:MainThread @ga_loader.py:89 - ga_loader GaImporterGtk3
2017-04-03 14:17:01,186 [DEBUG] subscription-manager:11225:MainThread @plugins.py:569 - loaded plugin modules: [<module 'container_content' from '/usr/share/rhsm-plugins/container_content.pyc'>, <module 'ostree_content' from '/usr/share/rhsm-plugins/ostree_content.pyc'>]
2017-04-03 14:17:01,186 [DEBUG] subscription-manager:11225:MainThread @plugins.py:570 - loaded plugins: {'container_content.ContainerContentPlugin': <container_content.ContainerContentPlugin object at 0x3090390>, 'ostree_content.OstreeContentPlugin': <ostree_content.OstreeContentPlugin object at 0x3090950>}
2017-04-03 14:17:01,186 [DEBUG] subscription-manager:11225:MainThread @identity.py:132 - Loading consumer info from identity certificates.
2017-04-03 14:17:01,188 [INFO] subscription-manager:11225:MainThread @managercli.py:316 - X-Correlation-ID: c5911c76bfe24dc3bf4d98331e7e6099
2017-04-03 14:17:01,190 [INFO] subscription-manager:11225:MainThread @managercli.py:316 - X-Correlation-ID: d617cbdddd9347c98ae037ca573f133f
2017-04-03 14:17:01,191 [INFO] subscription-manager:11225:MainThread @managercli.py:316 - X-Correlation-ID: 2099284369dc4f89b87409ca63566ba0
2017-04-03 14:17:01,196 [INFO] subscription-manager:11225:MainThread @managercli.py:316 - X-Correlation-ID: 68202613a5434bf3ac24567dc1531ca8
2017-04-03 14:17:01,198 [INFO] subscription-manager:11225:MainThread @managercli.py:316 - X-Correlation-ID: c9216992f0ef442bab48821415edec14
2017-04-03 14:17:01,199 [INFO] subscription-manager:11225:MainThread @managercli.py:316 - X-Correlation-ID: 12278221d84544099f9562bc0fe9dc9b
2017-04-03 14:17:01,201 [INFO] subscription-manager:11225:MainThread @managercli.py:316 - X-Correlation-ID: b2ecdd6642e446f1abbc5a1e66fda55e
2017-04-03 14:17:01,202 [INFO] subscription-manager:11225:MainThread @managercli.py:316 - X-Correlation-ID: e4dfdb63ca4a496aa85e538db32f193e
2017-04-03 14:17:01,203 [INFO] subscription-manager:11225:MainThread @managercli.py:316 - X-Correlation-ID: 76e5ff391439457a9c184056929f8fdf
2017-04-03 14:17:01,205 [INFO] subscription-manager:11225:MainThread @managercli.py:316 - X-Correlation-ID: 62912f7462da400e90a76040dc533006
2017-04-03 14:17:01,205 [INFO] subscription-manager:11225:MainThread @managercli.py:316 - X-Correlation-ID: 13e9f570a50d4af19c8cfba4fbb00283
2017-04-03 14:17:01,206 [INFO] subscription-manager:11225:MainThread @managercli.py:316 - X-Correlation-ID: 39e169a122904b30b98370f68f7d7633
2017-04-03 14:17:01,208 [INFO] subscription-manager:11225:MainThread @managercli.py:316 - X-Correlation-ID: 34825756a690491d9f97fdf961f389bb
2017-04-03 14:17:01,209 [INFO] subscription-manager:11225:MainThread @managercli.py:316 - X-Correlation-ID: 242a322e84dc42899aa8e6f0bc9811ab
2017-04-03 14:17:01,211 [INFO] subscription-manager:11225:MainThread @managercli.py:316 - X-Correlation-ID: de9ef0cbd40142fcaa1c8c426d77096e
2017-04-03 14:17:01,212 [INFO] subscription-manager:11225:MainThread @managercli.py:316 - X-Correlation-ID: 47e86df1000b4576a2b5e6dfd825b12a
2017-04-03 14:17:01,213 [INFO] subscription-manager:11225:MainThread @managercli.py:316 - X-Correlation-ID: 5c70c24eb8224983957ce03405a7f1e3
2017-04-03 14:17:01,214 [INFO] subscription-manager:11225:MainThread @managercli.py:316 - X-Correlation-ID: f488440b2fa7479382341bea0eebffaa
2017-04-03 14:17:01,216 [INFO] subscription-manager:11225:MainThread @managercli.py:316 - X-Correlation-ID: e7e266f84e774d46bd9a48553f460c5b
2017-04-03 14:17:01,218 [INFO] subscription-manager:11225:MainThread @managercli.py:316 - X-Correlation-ID: a7b090cfc85a46f395196c70a0a7e839
2017-04-03 14:17:01,219 [INFO] subscription-manager:11225:MainThread @managercli.py:316 - X-Correlation-ID: e474e476278540fba8039b56c7b88c75
2017-04-03 14:17:01,221 [INFO] subscription-manager:11225:MainThread @managercli.py:316 - X-Correlation-ID: 6c3b0b96e9f745a1aa3bce88a68d2650
2017-04-03 14:17:01,222 [INFO] subscription-manager:11225:MainThread @managercli.py:316 - X-Correlation-ID: 347835b899144d94926a8ffc451fda8c
2017-04-03 14:17:01,223 [INFO] subscription-manager:11225:MainThread @managercli.py:316 - X-Correlation-ID: b125256af35446dba78dfc881f9475d3
2017-04-03 14:17:01,225 [INFO] subscription-manager:11225:MainThread @managercli.py:394 - Client Versions: {'python-rhsm': '1.19.2-1.el7', 'subscription-manager': '1.19.4-1.el7'}
2017-04-03 14:17:01,225 [INFO] subscription-manager:11225:MainThread @connection.py:763 - Connection built: http_proxy=auto-services.usersys.redhat.com:3128 host=subscription.rhsm.stage.redhat.com port=443 handler=/subscription auth=identity_cert ca_dir=/etc/rhsm/ca/ insecure=False
2017-04-03 14:17:01,226 [INFO] subscription-manager:11225:MainThread @connection.py:763 - Connection built: http_proxy=auto-services.usersys.redhat.com:3128 host=subscription.rhsm.stage.redhat.com port=443 handler=/subscription auth=none
2017-04-03 14:17:01,503 [DEBUG] subscription-manager:11225:MainThread @connection.py:429 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem, redhat-entitlement-authority.pem
2017-04-03 14:17:01,503 [DEBUG] subscription-manager:11225:MainThread @connection.py:459 - Using proxy: auto-services.usersys.redhat.com:3128
2017-04-03 14:17:01,504 [DEBUG] subscription-manager:11225:MainThread @connection.py:473 - Making request: GET /subscription/status/
2017-04-03 14:17:02,115 [INFO] subscription-manager:11225:MainThread @connection.py:509 - Response: status=200, requestUuid=952d35de-4dc2-4514-b29b-8a719eace6cc, request="GET /subscription/status/"
2017-04-03 14:17:02,116 [INFO] subscription-manager:11225:MainThread @managercli.py:369 - Consumer Identity name=hp-dl120gen9-01.khw.lab.eng.bos.redhat.com uuid=3b251ec3-243b-45ab-9e87-8ae6f9062a74
2017-04-03 14:17:02,117 [DEBUG] subscription-manager:11225:MainThread @connection.py:429 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem, redhat-entitlement-authority.pem
2017-04-03 14:17:02,118 [DEBUG] subscription-manager:11225:MainThread @connection.py:459 - Using proxy: auto-services.usersys.redhat.com:3128
2017-04-03 14:17:02,118 [DEBUG] subscription-manager:11225:MainThread @connection.py:473 - Making request: GET /subscription/consumers/3b251ec3-243b-45ab-9e87-8ae6f9062a74
2017-04-03 14:17:02,650 [INFO] subscription-manager:11225:MainThread @connection.py:509 - Response: status=200, requestUuid=05c0e8e6-e406-4ff6-bdda-44e05e7d1842, request="GET /subscription/consumers/3b251ec3-243b-45ab-9e87-8ae6f9062a74"
2017-04-03 14:17:02,652 [DEBUG] subscription-manager:11225:MainThread @connection.py:429 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem, redhat-entitlement-authority.pem
2017-04-03 14:17:02,652 [DEBUG] subscription-manager:11225:MainThread @connection.py:459 - Using proxy: auto-services.usersys.redhat.com:3128
2017-04-03 14:17:02,652 [DEBUG] subscription-manager:11225:MainThread @connection.py:473 - Making request: GET /subscription/
2017-04-03 14:17:03,106 [INFO] subscription-manager:11225:MainThread @connection.py:509 - Response: status=200, request="GET /subscription/"
2017-04-03 14:17:03,106 [DEBUG] subscription-manager:11225:MainThread @connection.py:780 - Server supports the following resources: {u'': u'/', u'guestids': u'/consumers/{consumer_uuid}/guestids', u'cdn': u'/cdn', u'content_overrides': u'/consumers/{consumer_uuid}/content_overrides', u'hypervisors': u'/hypervisors', u'serials': u'/serials', u'deleted_consumers': u'/deleted_consumers', u'consumers': u'/consumers', u'migrations': u'/migrations', u'content': u'/content', u'entitlements': u'/entitlements', u'events': u'/events', u'status': u'/status', u'jobs': u'/jobs', u'users': u'/users', u'subscriptions': u'/subscriptions', u'rules': u'/rules', u'distributor_versions': u'/distributor_versions', u'consumertypes': u'/consumertypes', u'statistics/generate': u'/statistics/generate', u'pools': u'/pools', u'atom': u'/atom', u'packages': u'/consumers/{consumer_uuid}/packages', u'owners': u'/owners', u'roles': u'/roles', u'admin': u'/admin', u'products': u'/products', u'activation_keys': u'/activation_keys', u'crl': u'/crl'}
2017-04-03 14:17:03,107 [DEBUG] subscription-manager:11225:MainThread @connection.py:243 - ContentConnection
2017-04-03 14:17:03,108 [DEBUG] subscription-manager:11225:MainThread @certdirectory.py:217 - Installed product IDs: ['69']
2017-04-03 14:17:03,120 [DEBUG] subscription-manager:11225:MainThread @release.py:187 - No matching products with RHEL product tags found
2017-04-03 14:17:03,120 [DEBUG] subscription-manager:11225:MainThread @release.py:187 - No matching products with RHEL product tags found
2017-04-03 14:17:03,120 [DEBUG] subscription-manager:11225:MainThread @release.py:187 - No matching products with RHEL product tags found
2017-04-03 14:17:03,121 [DEBUG] subscription-manager:11225:MainThread @release.py:187 - No matching products with RHEL product tags found
2017-04-03 14:17:03,121 [DEBUG] subscription-manager:11225:MainThread @release.py:187 - No matching products with RHEL product tags found
2017-04-03 14:17:03,121 [DEBUG] subscription-manager:11225:MainThread @release.py:187 - No matching products with RHEL product tags found
2017-04-03 14:17:03,121 [DEBUG] subscription-manager:11225:MainThread @release.py:187 - No matching products with RHEL product tags found
2017-04-03 14:17:03,121 [DEBUG] subscription-manager:11225:MainThread @release.py:187 - No matching products with RHEL product tags found
2017-04-03 14:17:03,121 [DEBUG] subscription-manager:11225:MainThread @release.py:187 - No matching products with RHEL product tags found
2017-04-03 14:17:03,121 [DEBUG] subscription-manager:11225:MainThread @release.py:187 - No matching products with RHEL product tags found
2017-04-03 14:17:03,122 [DEBUG] subscription-manager:11225:MainThread @connection.py:318 - Loading CA certificate: '/etc/pki/entitlement/5954856015781700610.pem'
2017-04-03 14:17:03,122 [DEBUG] subscription-manager:11225:MainThread @connection.py:286 - Using proxy: auto-services.usersys.redhat.com:3128
2017-04-03 14:17:03,122 [ERROR] subscription-manager:11225:MainThread @managercli.py:179 - exception caught in subscription-manager
2017-04-03 14:17:03,123 [ERROR] subscription-manager:11225:MainThread @managercli.py:180 - 'ContentConnection' object has no attribute 'proxy_host'
Traceback (most recent call last):
  File "/usr/sbin/subscription-manager", line 89, in <module>
    sys.exit(abs(main() or 0))
  File "/usr/sbin/subscription-manager", line 80, in main
    return managercli.ManagerCLI().main()
  File "/usr/lib/python2.7/site-packages/subscription_manager/managercli.py", line 2792, in main
    return CLI.main(self)
  File "/usr/lib/python2.7/site-packages/subscription_manager/cli.py", line 160, in main
    return cmd.main()
  File "/usr/lib/python2.7/site-packages/subscription_manager/managercli.py", line 544, in main
    return_code = self._do_command()
  File "/usr/lib/python2.7/site-packages/subscription_manager/managercli.py", line 1477, in _do_command
    releases = self.release_backend.get_releases()
  File "/usr/lib/python2.7/site-packages/subscription_manager/release.py", line 48, in get_releases
    return provider.get_releases()
  File "/usr/lib/python2.7/site-packages/subscription_manager/release.py", line 125, in get_releases
    data = self.content_connection.get_versions(listing_path)
  File "/usr/lib64/python2.7/site-packages/rhsm/connection.py", line 336, in get_versions
    results = self._request("GET", handler, body="")
  File "/usr/lib64/python2.7/site-packages/rhsm/connection.py", line 290, in _request
    conn = httplib.HTTPSConnection(self.proxy_host, self.proxy_port, context=context, timeout=self.timeout)
AttributeError: 'ContentConnection' object has no attribute 'proxy_host'



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
Register and attach a valid RHEL subscription (not shown)
[root@hp-dl120gen9-01 ~]# subscription-manager release --list
+-------------------------------------------+
          Available Releases
+-------------------------------------------+
7.0
7.1
7.2
7.3
7Server
[root@hp-dl120gen9-01 ~]# subscription-manager release --list --proxy=auto-services.usersys.redhat.com:3128 --proxyuser=redhat --proxypassword=redhat
'ContentConnection' object has no attribute 'proxy_host'


Actual results:
 above

Expected results:
 Note that release --list works without specifying a proxy, but fails specifying a valid proxy

Additional info:

Comment 2 John Sefler 2017-04-03 18:24:02 UTC
Failed in Version...
[root@hp-dl120gen9-01 ~]# rpm -q subscription-manager python-rhsm
subscription-manager-1.19.4-1.el7.x86_64
python-rhsm-1.19.2-1.el7.x86_64

Comment 5 Shwetha Kallesh 2017-04-13 09:50:15 UTC
verified!

[root@bkr-hv03-guest33 ~]# subscription-manager release --list --proxy=auto-services.usersys.redhat.com:3128 --proxyuser=redhat --proxypassword=redhat
+-------------------------------------------+
          Available Releases
+-------------------------------------------+
7.0
7.1
7.2
7.3
7.4
7Server

[root@bkr-hv03-guest33 ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.9.51.21-1
subscription management rules: 5.15.1
subscription-manager: 1.19.7-1.el7
python-rhsm: 1.19.4-1.el7

Comment 6 Shwetha Kallesh 2017-04-13 10:27:26 UTC
[root@bkr-hv03-guest33 ~]# tail -f /var/log/rhsm/rhsm.log 
2017-04-13 06:26:23,327 [DEBUG] subscription-manager:12220:MainThread @https.py:54 - Using standard libs to provide httplib and ssl
2017-04-13 06:26:23,412 [DEBUG] subscription-manager:12220:MainThread @dbus_interface.py:35 - self.has_main_loop=False
2017-04-13 06:26:23,469 [DEBUG] subscription-manager:12220:MainThread @ga_loader.py:89 - ga_loader GaImporterGtk3
2017-04-13 06:26:23,475 [DEBUG] subscription-manager:12220:MainThread @plugins.py:569 - loaded plugin modules: [<module 'container_content' from '/usr/share/rhsm-plugins/container_content.pyc'>, <module 'ostree_content' from '/usr/share/rhsm-plugins/ostree_content.pyc'>]
2017-04-13 06:26:23,475 [DEBUG] subscription-manager:12220:MainThread @plugins.py:570 - loaded plugins: {'container_content.ContainerContentPlugin': <container_content.ContainerContentPlugin object at 0x3286b50>, 'ostree_content.OstreeContentPlugin': <ostree_content.OstreeContentPlugin object at 0x328f0d0>}
2017-04-13 06:26:23,475 [DEBUG] subscription-manager:12220:MainThread @identity.py:132 - Loading consumer info from identity certificates.
2017-04-13 06:26:23,510 [INFO] subscription-manager:12220:MainThread @managercli.py:507 - X-Correlation-ID: bb4bd7a5917341f980aaa811aaf72fcc
2017-04-13 06:26:23,511 [INFO] subscription-manager:12220:MainThread @managercli.py:396 - Client Versions: {'python-rhsm': '1.19.4-1.el7', 'subscription-manager': '1.19.7-1.el7'}
2017-04-13 06:26:23,511 [INFO] subscription-manager:12220:MainThread @connection.py:774 - Connection built: http_proxy=auto-services.usersys.redhat.com:3128 host=subscription.rhn.stage.redhat.com port=443 handler=/subscription auth=identity_cert ca_dir=/etc/rhsm/ca/ insecure=False
2017-04-13 06:26:23,511 [INFO] subscription-manager:12220:MainThread @connection.py:774 - Connection built: http_proxy=auto-services.usersys.redhat.com:3128 host=subscription.rhn.stage.redhat.com port=443 handler=/subscription auth=none
2017-04-13 06:26:23,796 [DEBUG] subscription-manager:12220:MainThread @connection.py:434 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem, redhat-entitlement-authority.pem
2017-04-13 06:26:23,796 [DEBUG] subscription-manager:12220:MainThread @connection.py:464 - Using proxy: auto-services.usersys.redhat.com:3128
2017-04-13 06:26:23,796 [DEBUG] subscription-manager:12220:MainThread @connection.py:478 - Making request: GET /subscription/status/
2017-04-13 06:26:24,472 [INFO] subscription-manager:12220:MainThread @connection.py:514 - Response: status=200, requestUuid=f5eae084-8c7f-40b6-a152-885715773a56, request="GET /subscription/status/"
2017-04-13 06:26:24,473 [INFO] subscription-manager:12220:MainThread @managercli.py:371 - Consumer Identity name=bkr-hv03-guest33.dsal.lab.eng.bos.redhat.com uuid=1236f369-d434-40e5-ad90-34dfd249ab80
2017-04-13 06:26:24,474 [DEBUG] subscription-manager:12220:MainThread @connection.py:434 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem, redhat-entitlement-authority.pem
2017-04-13 06:26:24,474 [DEBUG] subscription-manager:12220:MainThread @connection.py:464 - Using proxy: auto-services.usersys.redhat.com:3128
2017-04-13 06:26:24,474 [DEBUG] subscription-manager:12220:MainThread @connection.py:478 - Making request: GET /subscription/consumers/1236f369-d434-40e5-ad90-34dfd249ab80
2017-04-13 06:26:25,017 [INFO] subscription-manager:12220:MainThread @connection.py:514 - Response: status=200, requestUuid=7bffec36-09b4-49c0-abf1-33bf8f44112b, request="GET /subscription/consumers/1236f369-d434-40e5-ad90-34dfd249ab80"
2017-04-13 06:26:25,019 [DEBUG] subscription-manager:12220:MainThread @connection.py:434 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem, redhat-entitlement-authority.pem
2017-04-13 06:26:25,019 [DEBUG] subscription-manager:12220:MainThread @connection.py:464 - Using proxy: auto-services.usersys.redhat.com:3128
2017-04-13 06:26:25,019 [DEBUG] subscription-manager:12220:MainThread @connection.py:478 - Making request: GET /subscription/
2017-04-13 06:26:25,438 [INFO] subscription-manager:12220:MainThread @connection.py:514 - Response: status=200, request="GET /subscription/"
2017-04-13 06:26:25,438 [DEBUG] subscription-manager:12220:MainThread @connection.py:791 - Server supports the following resources: {u'': u'/', u'guestids': u'/consumers/{consumer_uuid}/guestids', u'cdn': u'/cdn', u'content_overrides': u'/consumers/{consumer_uuid}/content_overrides', u'hypervisors': u'/hypervisors', u'serials': u'/serials', u'deleted_consumers': u'/deleted_consumers', u'consumers': u'/consumers', u'migrations': u'/migrations', u'content': u'/content', u'entitlements': u'/entitlements', u'events': u'/events', u'status': u'/status', u'jobs': u'/jobs', u'users': u'/users', u'subscriptions': u'/subscriptions', u'rules': u'/rules', u'distributor_versions': u'/distributor_versions', u'consumertypes': u'/consumertypes', u'statistics/generate': u'/statistics/generate', u'pools': u'/pools', u'atom': u'/atom', u'packages': u'/consumers/{consumer_uuid}/packages', u'owners': u'/owners', u'roles': u'/roles', u'admin': u'/admin', u'products': u'/products', u'activation_keys': u'/activation_keys', u'crl': u'/crl'}
2017-04-13 06:26:25,438 [DEBUG] subscription-manager:12220:MainThread @connection.py:243 - ContentConnection
2017-04-13 06:26:25,440 [DEBUG] subscription-manager:12220:MainThread @certdirectory.py:217 - Installed product IDs: ['69']
2017-04-13 06:26:25,448 [DEBUG] subscription-manager:12220:MainThread @release.py:187 - No matching products with RHEL product tags found
2017-04-13 06:26:25,448 [DEBUG] subscription-manager:12220:MainThread @release.py:187 - No matching products with RHEL product tags found
2017-04-13 06:26:25,448 [DEBUG] subscription-manager:12220:MainThread @release.py:187 - No matching products with RHEL product tags found
2017-04-13 06:26:25,449 [DEBUG] subscription-manager:12220:MainThread @release.py:187 - No matching products with RHEL product tags found
2017-04-13 06:26:25,449 [DEBUG] subscription-manager:12220:MainThread @release.py:187 - No matching products with RHEL product tags found
2017-04-13 06:26:25,449 [DEBUG] subscription-manager:12220:MainThread @connection.py:323 - Loading CA certificate: '/etc/pki/entitlement/14615571867288233.pem'
2017-04-13 06:26:25,450 [DEBUG] subscription-manager:12220:MainThread @connection.py:291 - Using proxy: auto-services.usersys.redhat.com:3128

Comment 7 errata-xmlrpc 2017-08-01 19:22:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2083


Note You need to log in before you can comment on or make changes to this bug.